
/* Copyright (C) Tom Horsley, 1998. All rights reserved. */

#include "ntcli.h"
#include <stdlib.h>
#include <stdio.h>

DllExport void *
NTCLImalloc(size_t size)
{
   void * rval = malloc(size);
   if (rval == NULL) {
      fputs("Out of memory.\n", stderr);
      exit(2);
   }
   return rval;
}

DllExport void *
NTCLIcalloc(size_t s1, size_t s2)
{
   void * rval = calloc(s1, s2);
   if (rval == NULL) {
      fputs("Out of memory.\n", stderr);
      exit(2);
   }
   return rval;
}

DllExport void *
NTCLIrealloc(void * oldp, size_t news)
{
   if (oldp == NULL) {
      oldp = malloc(news);
   } else {
      oldp = realloc(oldp, news);
   }
   if (oldp == NULL) {
      fputs("Out of memory.\n", stderr);
      exit(2);
   }
   return oldp;
}

DllExport void
NTCLIfree(void * oldp)
{
   if (oldp != NULL) {
      free(oldp);
   }
}
